export type { WormholeRegistry } from "./registry.js";
export type { Address, MappedPlatforms, NativeAddress, UniversalOrNative, AccountAddress, ChainAddress } from './address.js';
export { registerNative, nativeIsRegistered, toNative, toUniversal } from "./address.js";
export type { ProtocolName, EmptyPlatformMap, ProtocolImplementation, ProtocolInitializer, ProtocolFactoryMap } from './protocol.js';
export { registerProtocol, protocolIsRegistered, getProtocolInitializer, create } from "./protocol.js";
export { UniversalAddress } from "./universalAddress.js";
export type { UnsignedTransaction } from "./unsignedTransaction.js";
export type { PayloadLiteral, NamedPayloads, RegisterPayloadTypes, VAA, ProtocolVAA, Payload, ProtocolPayload, PayloadDiscriminator } from './vaa/index.js';
export { registerPayloadType, registerPayloadTypes, getPayloadLayout, serialize, serializePayload, payloadDiscriminator, deserialize, deserializePayload, blindDeserializePayload, createVAA } from "./vaa/index.js";
export { keccak256, sha3_256, sha256, sha512_256 } from "./utils.js";
export type { PlatformUtils, StaticPlatformMethods } from './platform.js';
export { PlatformContext } from "./platform.js";
export { ChainContext } from "./chain.js";
export type { Contracts } from './contracts.js';
export { getContracts } from "./contracts.js";
export { Signature } from "./signature.js";
export type { Signer, SignOnlySigner, SignAndSendSigner, NativeSigner } from './signer.js';
export { isSigner, isSignOnlySigner, isSignAndSendSigner, isNativeSigner, PlatformNativeSigner } from "./signer.js";
export type { RpcConnection } from "./rpc.js";
export type { AttestationId, Attestation, WormholeMessageId, getWormholeAttestation, CircleMessageId, CircleAttestation, getCircleAttestation, IbcMessageId } from './attestation.js';
export { isWormholeMessageId, isCircleMessageId, isIbcMessageId } from "./attestation.js";
export type { TxHash, SequenceId, SignedTx, TokenAddress, TokenId, Balances, TransactionId, ChainConfig, ChainsConfig } from './types.js';
export { isNative, nativeTokenId, isTokenId, isSameToken, canonicalAddress, universalAddress, resolveWrappedToken, isTransactionIdentifier, buildConfig } from "./types.js";
export type { WormholeCore, CircleTransferMessage, CircleTransferDetails, GatewayTransferDetails, GatewayMsg, GatewayTransferMsg, GatewayTransferWithPayloadMsg, GatewayIbcTransferMsg, IbcTransferInfo, IbcTransferData, IbcBridge, TrimmedAmount, Prefix, NativeTokenTransfer, TransceiverMessage, NttManagerMessage, WormholeTransceiverMessage, Relayer, TokenTransferDetails } from './protocols/index.js';
export { depositWithPayloadLayout, circleConnectPayload, automaticCircleBridgeNamedPayloads, circleMessageLayout, circleBridgeNamedPayloads, isCircleTransferDetails, CircleBridge, AutomaticCircleBridge, isGatewayTransferMsg, isGatewayTransferWithPayloadMsg, isGatewayIbcTransferMsg, isGatewayTransferDetails, toGatewayMsg, gatewayTransferMsg, makeGatewayTransferMsg, isIbcTransferInfo, NTT, trimmedAmountLayout, nativeTokenTransferLayout, transceiverMessageLayout, nttManagerMessageLayout, wormholeTransceiverMessageLayout, nttNamedPayloads, PorticoBridge, porticoFlagSetLayout, porticoTransferLayout, porticoPayloadLayout, namedPayloads, deviveryInstructionLayout, isTokenTransferDetails, ErrNotWrapped, TokenBridge, AutomaticTokenBridge, transferWithPayloadLayout, tokenBridgeNamedPayloads, connectPayload, automaticTokenBridgeNamedPayloads } from "./protocols/index.js";
export * as layoutItems from "./layout-items/index.js";
//# sourceMappingURL=index.d.ts.map